# Proactor.h File Reference

`#include "ace/config-all.h"`
`#include "ace/ACE_export.h"`
`#include "ace/Asynch_IO.h"`
`#include "ace/Asynch_IO_Impl.h"`
`#include "ace/Thread_Manager.h"`
`#include "ace/Timer_Queue.h"`
`#include "ace/Timer_List.h"`
`#include "ace/Timer_Heap.h"`
`#include "ace/Timer_Wheel.h"`
`#include "ace/Proactor.inl"`

Include dependency graph for Proactor.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | ACE_Proactor_Handle_Timeout_Upcall
| Functor for ACE_Timer_Queue. More...
class | ACE_Proactor
| A manager for asynchronous event demultiplexing. More...

## Detailed Description

Id
  Proactor.h,v 4.93 2006/02/10 10:14:20 jwillemsen Exp

Author:
  Irfan Pyarali <irfan@cs.wustl.edu>

  Tim Harrison <harrison@cs.wustl.edu>

  Alexander Babu Arulanthu <alex@cs.wustl.edu>

  Alexander Libman <alibman@ihug.com.au>